Kerbal Space Program - Bug #3667

Contract notes should remain expanded on update
12/03/2014 11:22 PM - nightingale

Status: Closed Start date: 12/03/2014
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.25 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

I'm a modder trying to get the contracts notes field to display dynamic text (specifically a count-down timer). From my observations,
I've noted that the notes in the contract window won't update to a new value unless something fires (like a parameter state changing
or a new contract being accepted). Knowing this, I've worked around the issue by firing GameEvents.Contract.onParameterChange
every second. While it gets the text updated, it has the unfortunate side-effect of collapsing the expanded notes text.

Can the contract notes display be changed/fixed to keep their collapsed/expanded state on update?

History

#1 - 07/17/2016 09:27 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 07/17/2016 03:24 PM - nightingale
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

| think this is technically still true in 1.1.3, but neither stock nor Contract Configurator make enough use of notes to make this terribly noticeable. I'm
going to see this is less worthy than Unworthy, and am just going to close it out for the cleanup.
